curl --request GET \
--url https://api.orbita.melonn.com/sell-order-issues/{issueCode} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.orbita.melonn.com/sell-order-issues/{issueCode}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.orbita.melonn.com/sell-order-issues/{issueCode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.orbita.melonn.com/sell-order-issues/{issueCode}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.orbita.melonn.com/sell-order-issues/{issueCode}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.orbita.melonn.com/sell-order-issues/{issueCode}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.orbita.melonn.com/sell-order-issues/{issueCode}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"issue_code": "OV-184523",
"internal_order_number": "M1741793512041872",
"external_order_id": "7150382912",
"external_order_number": "#10458",
"reported_by": "courier-integration@example.com",
"report_date": "2025-03-12T15:42:10.000Z",
"report_comments": "The courier could not locate the delivery address.",
"resolved": true,
"resolution_date": "2025-03-13T10:05:00.000Z",
"resolution_comments": "Buyer confirmed the address; delivery rescheduled.",
"resolved_by": "support.agent@example.com",
"sell_order_issue_type": "Transportador reporta dirección errada/incompleta/no se localiza la dirección",
"sell_order_issue_type_code": 13,
"sell_order_issue_category": "Transporte",
"sell_order_issue_category_code": 5
}{
"statusCode": 404,
"errorCode": "SELL_ORDER_ISSUE_NOT_FOUND",
"message": "Sell order issue not found"
}{
"statusCode": 500,
"error": "Internal Server Error",
"message": "Internal server error"
}Get sell order issue
Returns a single issue of one of your sell orders by its issue code (issue_code, e.g.
OV-184523). The code is the one shown in the seller portal and in issue notifications.
Returns 404 when the code does not exist, belongs to another seller’s order, or is of an
internal issue type that is not shown to sellers.
curl --request GET \
--url https://api.orbita.melonn.com/sell-order-issues/{issueCode} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.orbita.melonn.com/sell-order-issues/{issueCode}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.orbita.melonn.com/sell-order-issues/{issueCode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.orbita.melonn.com/sell-order-issues/{issueCode}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.orbita.melonn.com/sell-order-issues/{issueCode}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.orbita.melonn.com/sell-order-issues/{issueCode}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.orbita.melonn.com/sell-order-issues/{issueCode}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"issue_code": "OV-184523",
"internal_order_number": "M1741793512041872",
"external_order_id": "7150382912",
"external_order_number": "#10458",
"reported_by": "courier-integration@example.com",
"report_date": "2025-03-12T15:42:10.000Z",
"report_comments": "The courier could not locate the delivery address.",
"resolved": true,
"resolution_date": "2025-03-13T10:05:00.000Z",
"resolution_comments": "Buyer confirmed the address; delivery rescheduled.",
"resolved_by": "support.agent@example.com",
"sell_order_issue_type": "Transportador reporta dirección errada/incompleta/no se localiza la dirección",
"sell_order_issue_type_code": 13,
"sell_order_issue_category": "Transporte",
"sell_order_issue_category_code": 5
}{
"statusCode": 404,
"errorCode": "SELL_ORDER_ISSUE_NOT_FOUND",
"message": "Sell order issue not found"
}{
"statusCode": 500,
"error": "Internal Server Error",
"message": "Internal server error"
}Authorizations
Path Parameters
Issue code, as returned in issue_code.
Response
The sell order issue.
Issue code (e.g. OV-184523). Use it with GET /sell-order-issues/{issueCode}.
"OV-184523"
Melonn's order number of the affected sell order.
"M1741793512041872"
Id of the order in your sales channel, as sent when the sell order was created.
"7150382912"
Your order number, as sent when the sell order was created.
"#10458"
Who reported the issue (usually a user's email, or the name of the integration that reported it).
"courier-integration@example.com"
When the issue was reported (UTC).
"2025-03-12T15:42:10.000Z"
Details written when the issue was reported.
"The courier could not locate the delivery address."
State of the issue. false = open, true = resolved.
false
When the issue was resolved (UTC). null while open.
null
How the issue was resolved. null while open.
null
Who resolved the issue. null while open.
null
Name of the issue type, as configured in Melonn (may be in Spanish).
"Transportador reporta dirección errada/incompleta/no se localiza la dirección"
Issue type code. Use it in the sell_order_issue_type_code filter.
13
Name of the issue category, as configured in Melonn (may be in Spanish).
"Transporte"
Issue category code. See the categories table in the Sell order issues section.
5